Create Order
The Readme API Simulator includes form elements for both required and optional Body Params. If not populated with values, Readme will send empty strings to the Clearpay Online API. Any optional parameter that is validated against a Model will need to have all of its required sub-params populated with non-empty values.
Therefore, to avoid receiving unexpected “400” responses from Clearpay, please fill out all fields of the simulation form with valid values. This is particularly important for the amount and currency sub-params of the totalAmount, taxAmount and shippingAmount params.
Successful Response (201)
Returns a token and expiry date/time if successful.
It is not possible to update the order information (including totalAmount) after the order token is generated.
If the consumer’s cart changes on the merchant side after a token is generated, please discard this token. Use the current order information to generate a new order token. Use the new token to send the consumer through the Clearpay screenflow before attempting to Capture Payment.
Connection Timeouts
Errors
In addition to the PUT/POST Errors applicable to all POST endpoints, the following errors are specific to Create Order:
Authentication
Basic authentication of the form Basic <base64(username:password)>.
Headers
Request
The Merchant’s store front country. The two-character [ISO 3166-1] (https://en.wikipedia.org/wiki/ISO_3166-1) country code.
The merchant’s id/reference that this order corresponds to.